include ../../components/editar/usuario.pug
include ../../components/editar/dadosBasicosPessoaFisica.pug

h1.page-header(ng-if="verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_FISICA)") {{tituloPagina}}

form(name="form", novalidate)

	.card(ng-if="verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_FISICA)")

		h3 Dados pessoais
		center
			span Para editar os dados pessoais acesse o SIRIEMA

		//- +dadosBasicosPessoaFisica('pessoaFisica', 'editar', 'cadastroPublico')

	//- .card(ng-if="verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_FISICA)")

	//- 	h3 Contatos

	//- 	contatos(form="form", ng-model="pessoaFisica.contatos", is-usuario="pessoaFisica.isUsuario")

	//- .card(ng-if="verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_FISICA)")

	//- 	h3 Endereço principal
	//- 		span(uib-tooltip="Endereço de residência da pessoa física. Podendo ser utilizado também como endereço de correspondência para endereços urbanos.", tooltip-placement="top-left")
	//- 			i.mdi.mdi-information.mdi-info

	//- 	endereco(form="form", name="principal", ng-model="enderecoPrincipal", zonas-localizacao="zonasLocalizacao", change-zona="changeZona")

	//- 	.checkbox(ng-if="enderecoPrincipal.zonaLocalizacao.codigo === constantes.ZONA_URBANA")
	//- 		label
	//- 			input(id='correspondencia', type='checkbox', name='correspondencia', ng-model='enderecoCorrespondencia.usarOutro', ng-change="ajustarEnderecoCorrespondencia()", ng-disabled="enderecoPrincipal.zonaLocalizacao.codigo === constantes.ZONA_RURAL")
	//- 			span.checkbox-material
	//- 				span.check
	//- 			|	Informar outro endereço para correspondência

	//- .card(ng-if="enderecoCorrespondencia.usarOutro || enderecoPrincipal.zonaLocalizacao.codigo === constantes.ZONA_RURAL && verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_FISICA)")

	//- 	h3 Endereço de correspondência
	//- 		span(uib-tooltip="Endereço utilizado para o envio de correspondências.", tooltip-placement="top-left")
	//- 			i.mdi.mdi-information.mdi-info

	//- 	endereco(form="form", name="correspondencia", ng-model="enderecoCorrespondencia", exibir-caixa-postal='true')

	.md-padding.checkbox(ng-if="!pessoaFisica.estrangeiro && !cadastroPublico && !rota.public && !isAtualizacao && verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_FISICA)")

		label(ng-disabled="editar && isUsuarioEdicao")
			input(id='pessoaFisica.isUsuario', type='checkbox', name='pessoaFisica.isUsuario', ng-model='pessoaFisica.isUsuario', ng-disabled="editar && isUsuarioEdicao")
			span.checkbox-material
				span.check
			|	Ceder acesso de usuário a esta pessoa

	.card(ng-if='pessoaFisica.isUsuario && !cadastroPublico && !rota.public && !isAtualizacao && verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_FISICA)')

		h3 Usuário
			span(uib-tooltip="Obrigatório cadastrar e-mail principal.", tooltip-placement="top-left")
				i.mdi.mdi-information.mdi-info

		+usuario('pessoaFisica')

	button.btn.btn-default.btn-raised(type='button', ng-click='voltar()', tabindex='-1',ng-if='verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_FISICA)') Cancelar

	button.btn.btn-raised.btn-primary.pull-right(type='submit', ng-click='salvar()',ng-if='verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_FISICA)')
		i.material-icons save
		|	Salvar